B10-AUTH(8)

NAME
b10-auth - Authoritative DNS server

SYNOPSIS

b10-auth [-4] [-6] [-a address] [-n] [-p number] [-u username] [-v]

DESCRIPTION

The b10-auth daemon provides the BIND 10 authoritative DNS server. Normally it is started by the bind10(8) boss process.

This daemon communicates with other BIND 10 components over a b10-msgq(8) C-Channel connection. If this connection is not established, b10-auth will exit.

It also receives its configurations from b10-cfgmgr(8). It will honor the database_file configuration to point to the SQLite3 zone file.

    Note

    This prototype version uses SQLite3 as its data source backend. Future versions will be configurable, supporting multiple data storage types.

OPTIONS

The arguments are as follows:

-4
    Enables IPv4 only mode. This switch may not be used with -6 nor -a. By default, it listens on both IPv4 and IPv6 (if capable).

-6
    Enables IPv6 only mode. This switch may not be used with -4 nor -a. By default, it listens on both IPv4 and IPv6 (if capable).

-a address
    The IPv4 or IPv6 address to listen on. This switch may not be used with -4 nor -6. The default is to listen on all addresses. (This is a short term workaround. This argument may change.)

-n
    Do not cache answers in memory. The default is to use the cache for faster responses. The cache keeps the most recent 30,000 answers (positive and negative) in memory for 30 seconds (instead of querying the data source, such as SQLite3 database, each time).

-p number
    The port number it listens on. The default is 5300.

        Note
        The Y1 prototype runs on all interfaces and on this nonstandard port.

-u username
    The user name of the b10-auth daemon. If specified, the daemon changes the process owner to the specified user. The username must be either a valid numeric user ID or a valid user name. By default the daemon runs as the user who invokes it.

-v
    Enabled verbose mode. This enables diagnostic messages to STDERR.

FILES

/usr/local/var/db/zone.sqlite3 — Location for the SQLite3 zone database when database_file configuration is not defined.

SEE ALSO

b10-cfgmgr(8), b10-cmdctl(8), b10-loadzone(8), b10-msgq(8), b10-zonemgr(8), bind10(8), BIND 10 Guide.

HISTORY

The b10-auth daemon was first coded in October 2009.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")